/* DO NOT EDIT THIS FILE */
/* This file is autogenerated by the text-database code generator */

#ifndef APPLICATIONFONTPROVIDER_HPP
#define APPLICATIONFONTPROVIDER_HPP

#include <touchgfx/FontManager.hpp>

struct Typography
{
  static const touchgfx::FontId DEMOVIEW_MCULOAD_TEXT = 0;
  static const touchgfx::FontId DEMOVIEW_MCULOAD_TEXT_TINY = 1;
  static const touchgfx::FontId GAME_2048_TEXT = 2;
  static const touchgfx::FontId GAME_2048_MCU_LOAD = 3;
  static const touchgfx::FontId POSTERTEXT = 4;
  static const touchgfx::FontId POSTERHEADLINE = 5;
  static const touchgfx::FontId POSTERTEXTJAPANESE = 6;
  static const touchgfx::FontId POSTERHEADLINEJAPANESE = 7;
  static const touchgfx::FontId POSTERTEXTUKR = 8;
  static const touchgfx::FontId POSTERHEADLINEUKR = 9;
  static const touchgfx::FontId THREEWAYPROGRESSBARPERCENTAGE = 10;
  static const touchgfx::FontId THREEWAYPROGRESSBARBUTTON = 11;
  static const touchgfx::FontId CUSTOMCONTROLSSTATUS = 12;
  static const touchgfx::FontId PERCENTAGEBARREADOUT = 13;
  static const touchgfx::FontId PERCENTAGEBARHEADLINE = 14;
  static const touchgfx::FontId DATEPICKER = 15;
  static const touchgfx::FontId CAROUSELHEADLINE = 16;
  static const touchgfx::FontId CAROUSELTEXT = 17;
  static const touchgfx::FontId ANIMATINGBUTTONSTEXT = 18;
  static const touchgfx::FontId GAME_2D_TEXT = 19;
  static const touchgfx::FontId GAME_2D_SCORE = 20;
  static const touchgfx::FontId GRAPH_Y_VALUE = 21;
  static const touchgfx::FontId GRAPH_LEGEND = 22;
  static const touchgfx::FontId GRAPH_LEGEND_VALUE = 23;
};

class ApplicationFontProvider : public touchgfx::FontProvider
{
public:
  virtual touchgfx::Font* getFont(touchgfx::FontId fontId);
};

#endif /* APPLICATIONFONTPROVIDER_HPP */
